summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2023-04-28 00:35:58 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-29 18:11:38 +0700
commit268eb9977eb27dbcdbbfcf64963f18cebde58a5a (patch)
treeeb768093692ed69f51e0d086c4190a334e40288a /system
parent63025ad7ae04a21ddd8c2e6bb772a8efb3c0254c (diff)
downloadslackbuilds-268eb9977eb27dbcdbbfcf64963f18cebde58a5a.tar.gz
slackbuilds-268eb9977eb27dbcdbbfcf64963f18cebde58a5a.tar.xz
system/apple-fonts-NY: Added (Apple New York fonts)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to '')
-rw-r--r--system/apple-fonts-NY/README22
-rw-r--r--system/apple-fonts-NY/apple-fonts-NY.SlackBuild74
-rw-r--r--system/apple-fonts-NY/apple-fonts-NY.info10
-rw-r--r--system/apple-fonts-NY/doinst.sh10
-rw-r--r--system/apple-fonts-NY/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/system/apple-fonts-NY/README b/system/apple-fonts-NY/README
new file mode 100644
index 0000000000..f352d32cfb
--- /dev/null
+++ b/system/apple-fonts-NY/README
@@ -0,0 +1,22 @@
+Apple New York fonts
+
+These typefaces offer the control and flexibility to optimally display
+text at a variety of sizes, in many different languages, across multiple
+interfaces.
+
+A companion to San Francisco, this serif typeface is based on essential
+aspects of historical type styles. New York features six weights,
+supports Latin, Greek and Cyrillic scripts, and features variable
+optical sizes allowing it to perform as a traditional reading face at
+small sizes and a graphic display face at larger sizes.
+
+This provides the following OTF fonts:
+* New York Small
+* New York Medium
+* New York Large
+* New York Extra Large
+
+NOTE:
+NewYork.ttf and NewYorkItalic.ttf are not included in the package,
+because some programs like OpenOffice have problems with it (crash on
+start). In fact, FontForge reports "bad device table" for these.
diff --git a/system/apple-fonts-NY/apple-fonts-NY.SlackBuild b/system/apple-fonts-NY/apple-fonts-NY.SlackBuild
new file mode 100644
index 0000000000..bc334c27b1
--- /dev/null
+++ b/system/apple-fonts-NY/apple-fonts-NY.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# Slackware build script for <apple-fonts-NY>
+
+# Copyright 2023 Petar Petrov slackalaxy at gmail dot com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=apple-fonts-NY
+VERSION=${VERSION:-2022}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+7z x $CWD/NY.dmg
+cd NYFonts
+7z x NY\ Fonts.pkg
+7z x Payload~
+cd Library/Fonts
+
+mkdir -p $PKG/usr/share/fonts/OTF
+cp -a *.otf $PKG/usr/share/fonts/OTF
+
+# just in case...
+chmod 0644 $PKG/usr/share/fonts/OTF/*.otf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/apple-fonts-NY/apple-fonts-NY.info b/system/apple-fonts-NY/apple-fonts-NY.info
new file mode 100644
index 0000000000..983f7a2bfa
--- /dev/null
+++ b/system/apple-fonts-NY/apple-fonts-NY.info
@@ -0,0 +1,10 @@
+PRGNAM="apple-fonts-NY"
+VERSION="2022"
+HOMEPAGE="https://developer.apple.com/fonts/"
+DOWNLOAD="https://devimages-cdn.apple.com/design/resources/download/NY.dmg"
+MD5SUM="3323aaa410852423f4cc745f551936ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="p7zip"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/system/apple-fonts-NY/doinst.sh b/system/apple-fonts-NY/doinst.sh
new file mode 100644
index 0000000000..412793f9d9
--- /dev/null
+++ b/system/apple-fonts-NY/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/apple-fonts-NY/slack-desc b/system/apple-fonts-NY/slack-desc
new file mode 100644
index 0000000000..aae07207f6
--- /dev/null
+++ b/system/apple-fonts-NY/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apple-fonts-NY: apple-fonts-NY (Apple New York fonts)
+apple-fonts-NY:
+apple-fonts-NY: New York features six weights, supports Latin, Greek and Cyrillic
+apple-fonts-NY: scripts, and features variable optical sizes.
+apple-fonts-NY:
+apple-fonts-NY: https://developer.apple.com/fonts/
+apple-fonts-NY:
+apple-fonts-NY:
+apple-fonts-NY:
+apple-fonts-NY:
+apple-fonts-NY: